.main__container {
    width: 1200px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    /* gap: 20px; */
    padding: 12px 0;

    .form__container {
        height: auto !important;
    }
}

.left__container {
    width: 720px;
    display: flex;
    flex-direction: column;
    /* gap: 20px; */
    border: 1px solid #d3d3d3;
}

.right__container {
    max-width: 500px;
    /* width: 379px; */
    display: flex;
    flex-direction: column;
    /* gap: 20px; */
    border: 1px solid #d3d3d3;
}

.qr__type__tabs {
    width: 100%;
    display: flex;
    gap: 8px;
    background-color: #f2f4f6;
    border-bottom: 1px solid #e5e7eb;
}

.qr__type__tabs__button {
    padding: 10px 16px;
    background: none;
    border: none;
    /* border-bottom: 2px solid transparent; */
    cursor: pointer;
    font-size: 14px;
}

.qr__type__tabs__button span {
    color: #757575;
}

.active__option span {
    color: #24292E !important;
}

.option__title span {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #757575;
    cursor: pointer;
}

.active__option {
    font-weight: 500;
    /* color: #24292e; */
    font-size: 16px;
    border-bottom: 2px solid #24292e;
}

.qr__type__tabs__content {
    padding: 20px;
    min-height: 288px;
    height: 100%;
}

.qr__type__tabs__content__option {
    height: 100%;
}

.tabs__content {
    display: flex;
    flex-direction: column;
    gap: 6px;
    min-height: 250px;
    height: 100%;
}

.form__container {
    height: 100%;
    gap: 8px;
    display: flex;
    flex-direction: column;
}

.row {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    width: 100%;
    height: 100%;
}

.form__group {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
}

.form__group label {
    font-size: 14px;
    font-weight: 600;
    /* margin-bottom: 4px; */
    display: block;
}

.form__input {
    width: 100%;
    height: 48px;
    padding: 8px 12px;
    background-color: white;
    border-radius: 6px;
    border: none;
    box-shadow: 0px 0px 1px 1px #00000014;
}

.form__input__ssid {
    width: 578px;
    height: 48px;
    padding: 8px 12px;
    background-color: white;
    border-radius: 6px;
    border: none;
    box-shadow: 0px 0px 1px 1px #00000014;
}

textarea {
    width: 100% !important;
    height: 100% !important;
    padding: 10px !important;
    font-size: 14px !important;
    border: 1px solid #d1d5db !important;
    border-radius: 4px !important;
    resize: none !important;
    background-color: white !important;
}

.hidden__checkbox {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    /* position: relative; */
    /* margin-top: 30px; */
}

.qr__preview {
    height: 240px;
    width: 240px;
    display: flex;
    gap: 8px;
    justify-content: center;
    align-items: center;
    border: 1px solid #d3d3d3;
}


.active {
    border: 2px solid #007bff !important;
}

.qr__col_display {
    display: flex;
    justify-content: center;
    gap: 6px;
    align-items: center;
    padding: 20px 0;
    /* padding: 20px 0px 0px 20px; */
    width: 100%;
    /* height: 100%; */
}




.preset__options {
    max-height: 240px;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    padding: 5px 10px 5px 22px;

}

.preset__scroll-wrapper {
    max-height: 240px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 71px;
    justify-content: center;
    background: #F9F9F9;
    border-radius: 12px;
    /* padding: 8px 0; */
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.05);
}

/* Optional: style scrollbar for WebKit */
.preset__options::-webkit-scrollbar {
    width: 8px;
    display: flex;
    gap: 8px;
    padding: 14px;
}

.preset__options::-webkit-scrollbar-thumb {
    background: #ccc;
    /* border-radius: 4px; */
}

.preset__options::-webkit-scrollbar-track {
    background: #f1f1f1;
    width: 8px;
}

.preset__option {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid transparent;
    border-radius: 8px;
    background: #fff;
    padding: 6px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    transition: border-color 0.2s;/
}

.preset__option img {
    height: 40px;
    width: 40px;
}

.scroll-btn {
    height: 18px;
    justify-content: center;
    align-items: center;
    display: flex;
    width: 100%;
    background: #F3F2F2;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    padding: 5px 0;
    text-align: center;
    border: 0.2px solid #E8E8E8
}

.scroll-btn:hover {
    background-color: rgba(0, 0, 0, 0.05);
}

.file-name-display {
    margin-left: 10px;
    font-size: 14px;
    color: #555;
    display: inline-block;
    vertical-align: middle;
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.upload__file {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
    background-color: #f1f1f1;
    padding: 6px 12px;
    border-radius: 6px;
    cursor: pointer;
}

.upload-file {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    gap: 4px;
    border-radius: 6px;
}

.upload__and__actions {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 6px;
    padding: 0px 20px 20px 20px;

    /* padding-bottom: 0px !important; */
    /* padding: 20px 20px 0px 20px; */
}

.upload__file__section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    border-radius: 6px;
    /* background-color: #f1f1f1; */
    padding: 6px;
    cursor: pointer;
}


.tooltip__wrapper {
    position: relative;
    display: inline-block;
}

.tooltip__text {
    visibility: hidden;
    background-color: #333;
    color: #fff;
    text-align: left;
    padding: 5px 10px;
    border-radius: 4px;
    position: absolute;
    z-index: 100;
    bottom: 125%;
    /* Position above the icon */
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    font-size: 12px;
    opacity: 0;
    transition: opacity 0.2s;
}

.tooltip__wrapper:hover .tooltip__text {
    visibility: visible;
    opacity: 1;
}

.form__content {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px
}

.checkbox__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
}

.show__pdf__file__infor {
    display: flex;
    gap: 6px;
}

.upload__and__dragdroparea {
    border: 1.5px dashed #ccc;
    height: 260px;
    width: 100%;
    padding: 40px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.upload__container {
    text-align: center;
    width: 100%;
    max-width: 400px;
}

.upload__button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 10px 20px;
    border: 1px solid #ddd;
    border-radius: 8px;
    cursor: pointer;
    background: white;
    font-weight: 500;
}

.upload__hint {
    margin: 16px 0;
    color: #444;
}

.uploaded__file__info {
    background: #EBF4FF;
    padding: 8px 8px 8px 16px;
    border-radius: 4px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: sans-serif;
}

.uploaded__img__info {
    display: flex;
    min-width: 82px;
    width: 80px;
    gap: 8px;
    align-items: center;
    justify-content: center;
    background-color: white;
}

.file-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 300px;
    color: #24292E;
    display: inline-block;
}

.remove__file__btn {
    background: transparent;
    border: none;
    cursor: pointer;
}

@media (max-width: 768px) {
    .main__container {
        width: 100%;
        flex-direction: column;
        /* gap: 20px; */
    }

    .left__container {
        width: 100%;
        height: auto;
    }

    .right__container {
        width: 100%;
        height: auto;
    }

    .qr__option {
        width: 100%;
    }

    .color {
        width: 24px;
        height: 24px;
    }

    .form__input__ssid {
        width: 100%;
        height: 48px;
        padding: 8px 12px;
        background-color: #f2f4f6;
        border-radius: 6px;
        border: none;
        box-shadow: 0px 0px 1px 1px #00000014;
    }

    .preset__options {
        padding: 5px 10px;
    }
}

@media (max-width: 1024px) {
    .main__container {
        width: 100%;
        flex-direction: column;
        /* gap: 20px; */
    }

    .left__container {
        width: 100%;
        height: auto;
    }

    .right__container {
        width: 100%;
        height: auto;
        max-width: none;
        justify-content: center;
        align-items: start;
    }

    .qr__col_display {
        justify-content: center;
    }

    .preset__options {
        padding: 5px 10px 5px 22px;
    }
}

@media (max-width: 530px) {
    .qr__type__tabs__wrapper {
        display: flex;
        align-items: center;
        position: relative;
        width: 100%;
    }

    .qr__type__tabs__scroll {
        overflow-x: auto;
        flex: 1;
        white-space: nowrap;
        scroll-behavior: smooth;
        -webkit-overflow-scrolling: touch;
        background-color: #F2F4F6;
        ;
    }

    .qr__type__tabs {
        display: inline-flex;
        gap: 8px;
    }

    .qr__type__tabs__button {
        flex: 0 0 auto;
        white-space: nowrap;
        padding: 10px 16px;
        background: none;
        border: none;
        cursor: pointer;
        font-size: 14px;
    }

    .qr__col_display {
        justify-content: center;
        gap: 2px;
    }

    .tab-scroll {
        background: #FFFFFF;
        border: none;
        font-size: 20px;
        padding: 5px 8px;
        cursor: pointer;
        z-index: 2;
        color: #333;
        border-bottom: 1px solid #D3D3D3;
    }

    .tab-scroll-left {
        height: 100%;
        border-right: 1px solid #D3D3D3;
    }

    .tab-scroll-right {
        height: 100%;
        border-left: 1px solid #D3D3D3;
    }

    .qr__type__tabs__scroll::-webkit-scrollbar {
        display: none;
    }

    .qr__type__tabs__scroll {
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .row {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 6px;
        width: 100%;
        height: 100%;
    }

    .form__group {
        display: flex;
        flex-direction: column;
        gap: 8px;
        width: 100%;
    }

    .form__group label {
        font-size: 14px;
        font-weight: 600;
        display: block;
    }

    .form__input {
        width: 100%;
        height: 48px;
        padding: 8px 12px;
        background-color: #f2f4f6;
        border-radius: 6px;
        border: none;
        box-shadow: 0px 0px 1px 1px #00000014;
    }

    .form__input__ssid {
        width: 100%;
        height: 48px;
        padding: 8px 12px;
        background-color: #f2f4f6;
        border-radius: 6px;
        border: none;
        box-shadow: 0px 0px 1px 1px #00000014;
    }

    .checkbox__input {
        height: 18px !important;
        width: 18px !important;
    }

    .hidden__checkbox {
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 10px;
    }

    .upload__and__actions {
        /* gap: 80px; */
        flex-direction: column;
        justify-content: start;
        align-items: start;
       /* padding: 0px 0px 0px 20px; */
        /* padding: 10px 0px 10px 35px; */
    }
}

@media (max-width: 380px) {

    .form__input__ssid {
        width: 100%;
        height: 48px;
        padding: 8px 12px;
        background-color: #f2f4f6;
        border-radius: 6px;
        border: none;
        box-shadow: 0px 0px 1px 1px #00000014;
    }

    .hidden__checkbox {
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 10px;
    }

    .qr__col_display {
        padding: 0px;
        gap: 0px;
        justify-content: center;
    }


    .qr__preview {
        height: 200px;
        width: 200px;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1px solid #d3d3d3;
    }

    .upload__and__actions {
        flex-direction: column;
        justify-content: center;
        align-items: start;


    }

    .preset__scroll-wrapper {
        width: 71px;
    }

    .preset__options {
        display: flex;
    }

    .preset__option {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40px;
        height: 40px;
    }
}

@media (min-width: 531px) {
    .tab-scroll {
        display: none !important;
    }

    /* .form__input__ssid {
        width: 100%;
        height: 48px;
        padding: 8px 12px;
        background-color: #f2f4f6;
        border-radius: 6px;
        border: none;
        box-shadow: 0px 0px 1px 1px #00000014;
    } */
    .hidden__checkbox {
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 10px;
    }
}